Subject: Re: bug#27667: 26.0.50; Dynamic menu is not updated (gtk3 + hidpi scaling)

From: Jan Synacek <[email-masked]>
Date: Tue, 18 Jul 2017 08:22:09 +0200

On Mon, Jul 17, 2017 at 5:07 PM, Lars Ingebrigtsen <[email-masked]> wrote:
> [email-masked] writes:
>
>> Reproducible on the current master (commit d014a5e15c1110af77e7a96f06ccd0f0cafb099f).
>>
>> Steps to reproduce:
>> 0) Use gnome-tweak-tool to set scaling to 2x ("Windows" -> "Window
>> scaling" -> set to 2)
>>    This step is very important, it makes this bug reproducible.
>> 1) $ emacs -Q first.py
>> 2) C-x C-f ~/second.html
>> 3) Click the "SGML" menu
>> 4) Observe a tiny rectangular area with nothing in it
>>
>> If I start emacs as "emacs -Q second.hmtl" the menu is fine.
>
> This should be fixed on master now, I think -- at least I'm unable to
> reproduce it now.  Could you check and reopen if it's still an issue?

I can still reproduce this in the same way, commit
0083123499cc29e301c197218d3809b225675e57.
Under wayland, I'm also seeing asserts like these when clicking the SGML menu:

(emacs:14599): Gtk-CRITICAL **: gtk_distribute_natural_allocation:
assertion 'extra_space >= 0' failed

Not sure if those are relevant.

Cheers,
-- 
Jan Synacek
Software Engineer, Red Hat